// creator  : weidu.exe (version 23100)
// argument : HAERD25A.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HAERD25A~

IF ~Global("HaerDalisSummoned","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY #65249 /* ~Oh?  Back on the planes, is it?  Swept off the Prime and whisked away like a soaring eagle into new adventure! Glad I am to see you, my raven!~ [HAER2501] */
  IF ~~ THEN REPLY #65250 /* ~You seem pleased to be here.~ */ DO ~SetGlobal("HaerDalisSummoned","GLOBAL",2)~ GOTO 1
  IF ~~ THEN REPLY #65251 /* ~Well, I'm not overly glad to see you.  And stop calling me raven.~ */ DO ~SetGlobal("HaerDalisSummoned","GLOBAL",2)~ GOTO 2
  IF ~~ THEN REPLY #65252 /* ~I need your help, Haer'Dalis.~ */ DO ~SetGlobal("HaerDalisSummoned","GLOBAL",2)~ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #65253 /* ~And why should I not be?  Time is an inconstant mistress, good friend, and old disagreements are washed away along with her into oblivion.  This bard looks forward to your tale like none other!~ */
  IF ~~ THEN REPLY #65254 /* ~Then join with me and let's go.~ */ GOTO 4
  IF ~~ THEN REPLY #65264 /* ~Well, so long as you promise not to be so insufferably cheerful, join me.~ */ GOTO 5
  IF ~~ THEN REPLY #65255 /* ~Then wait here and I'll deal with you later.~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #65256 /* ~Why such a sour face, my friend?  Are not old disagreements dissolved with the passing of time, eroded and chipped until they are nothing?  This bard, for one, looks forward to the continuation of your tale.~ */
  IF ~~ THEN REPLY #65257 /* ~Then join me and let's go.~ */ GOTO 4
  IF ~~ THEN REPLY #65263 /* ~Well, so long as you promise not to be so insufferably cheerful, join me.~ */ GOTO 5
  IF ~~ THEN REPLY #65258 /* ~Then wait here and I'll deal with you later.~ */ GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #65259 /* ~And my help is gladly and freely given, my friend!  From one dark cavern to the next, the blades of Haer'Dalis shall e'er stand ready to face danger at your side!~ */
  IF ~~ THEN REPLY #65260 /* ~If you'll promise not to be so overbearingly cheerful, then join me.~ */ GOTO 5
  IF ~~ THEN REPLY #65261 /* ~Excellent, let's go!~ */ GOTO 4
  IF ~~ THEN REPLY #65262 /* ~Then wait here for awhile and I'll deal with you later.~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 7.1 3.1 2.0 1.0
  SAY #65265 /* ~The tale begins to spin again!  Ha ha!  'Tis a marvelous life, <CHARNAME>, do not convince yourself otherwise!~ */
  IF ~~ THEN DO ~JoinParty()~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 7.0 3.0 2.1 1.1
  SAY #65266 /* ~If you wish, I'll sing tales of woe, instead.  Melancholy ballads will fill the halls where e'er we pass, sending bystanders into fits of despair.  Oh, and then there's the killing... you are rather fond of that, my raven, no?~ */
  IF ~~ THEN DO ~JoinParty()~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 3.2 2.2 1.2
  SAY #65267 /* ~Well, 'tis not quite so interesting to stand about in a miniature plane... but this sparrow is pleased enough to watch your tale from afar, for now.~ */
  IF ~~ THEN DO ~MoveToPointNoInterrupt([1715.1258])
Face(6)~ EXIT
END

IF ~Global("HaerDalisSummoned","GLOBAL",2)~ THEN BEGIN 7 // from:
  SAY #65268 /* ~Ah, my raven... I look forward to joining you in the next chapter of your great adventure!  If you'll have me, of course.~ [HAER2516] */
  IF ~~ THEN REPLY #65269 /* ~Fine.  Just don't be so insufferably cheerful.~ */ GOTO 5
  IF ~~ THEN REPLY #65270 /* ~Of course... join me and let's go.~ */ GOTO 4
  IF ~~ THEN REPLY #65271 /* ~Not just yet.  Continue waiting awhile longer.~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.2
  SAY #65272 /* ~As you wish, my friend.  'Tis a quiet enough place to write my ballads, if I wish.  I'll not moon about for the lack.~ */
  IF ~~ THEN EXIT
END
